Subject: Re: [multipathtcp] Benoit Claise's No Objection on draft-ietf-mptcp-experience-06: (with COMMENT)

From: Olivier Bonaventure <[email-masked]>
Date: Thu, 27 Oct 2016 21:59:05 +0200

Benoit,

> Benoit Claise has entered the following ballot position for
> draft-ietf-mptcp-experience-06: No Objection

Thanks for your comments. A new version of the draft will appear soon on 
the IETF servers.

> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thanks for this document.
>
> - This document contains a couple of possible improvements.
> I believe this important aspect of the draft should also be mentioned in
> the abstract.

Added.

> - Just a thought (no need to reply):
> On one side, section 3.1 speaks of "middlebox interference".
> On the other side, this document via
> [I-D.lhwxz-hybrid-access-network-architecture] proposes just that: a new
> middlebox function.
> This new middlebox might generate some interference for others.  Sarcasm
> warning: I guess that middleboxes are like children, we can only stand
> ours.
> I wanted to make that point, in light of all the middlebox discussions
> these days, for example in the QUIC charter.

I agree, but middleboxes could also help the deployment of MPTCP. At 
least this is what we observe with hybrid access networks using MPTCP to 
combine DSL and LTE and smartphones using MPTCP to bond WiFi and LTE.

> - Another thought (again no need to reply)
>    "Since September
>    2013, Multipath TCP is also supported on smartphones and tablets
>    running iOS7 [IOS7].  There are likely hundreds of millions of
>    Multipath TCP enabled devices.  However, this particular Multipath
>    TCP implementation is currently only used to support a single
>    application.  Unfortunately, there is no public information about the
>    lessons learned from this large scale deployment."
>
> Yes, this is really unfortunate.

This is now fixed. A description of this deployment and some lessons 
learned will appear in the next issue of the IETF Journal. A reference 
to this forthcoming paper has been added.
>
> Below is Qin Wu's OPS directorate review:
> I think this document is well written and ready for publication. Here are
> a few editorial comments:
>
> 1.       Section 1, paragraph 2 mentions that three implementation are
> open sources. Which three of them are open sources? I think it includes
> apple MP-TCP, but it is not clear in the text.

This has been fixed.

> 2.       Section 2.2 paragraph 7 points out using REMOVE_ADDR option may
> cause operational problem, but I don’t see any discussion on this in the
> operation experience section, is this an open issue that needs to be
> addressed in the future or other document?
>

This is the generic problem of the loss of REMOVE_ADDR and ADD_ADDR 
options. There are still discussions on this issue within the MPTCP
working group.

> 3.       Section 3.1 talks about the v0.87 Multipath TCP implementation
> What does V0.87 stands for? Version number? is there any reference to
> it?

This was the version used in the paper. I have removed this number.
https://github.com/multipath-tcp/mptcp/releases/tag/v0.87

> 4.       Section 3.2
>
> s/the the default congestion control/ the default congestion control
>

fixed

> 5.       Section 3.2 last paragraph said that Reports from some users
> indicate that they seem to favor OLIA. It looks this statement is
> groundless statement.

This comes from discussion with users but not real measurements. I have 
removed this sentence.

> 6.       Section 3.9
>
> s/ returned to the DNS query/return in response to the DNS query

fixed

> 7.       Section 3.10 said:
>
> “
>
> A better approach would probably be to try a few attempts on
>
> the WiFi interface and then try to use the second interface for the
>
> initial subflow as well.
>
> ”
>
> When trying to use second interface for initial subflow? A few attempts
> on the WIFI interface fails?

fixed

> 8.       Section 3.2
> s/accomodate/accommodate
This sentence has been removed because there are still discussions on 
this topic in the MPTCP mailing list.

Olivier